Subject: Re: bug#15859: 24.3.50; Calc - dimensionless units again

From: Michael Heerdegen <[email-masked]>
Date: Fri, 21 Apr 2023 16:25:52 +0200

Hello Roland,

> [...]
> just want to convert "7 m / (c s)" into something equal to this
> expression.]
>
> Now for the new unit:
>
> (1) If I want to convert "7 m / (c s)" to a plain number, I enter "1",
>     but then Calc throws an error "No units specified".
>     The correct result would be 2.33e-8.
>
> (2) If one wants to convert to the new unit "in / (c hr)" the result
>     returned by calc-convert-units is 2.33e-8, that is, the plain
>     number which would have been the correct result for (1).
>     The new unit "in / (c hr)" is ignored by calc-convert-units.
>     The correct result would be "992125.98 in / (c hr)".

I found that u n (`calc-convert-exact-units') is exactly doing that.
Maybe you are more fortunate with that command - or even used it in the
past?

TIA,
Michael.